### Method

# Gimp Layer copy

#### Declaration [src]

    GimpLayer*
    gimp_layer_copy (
      GimpLayer* layer
    )

#### Description [src]

Copy a layer.

This procedure copies the specified layer and returns the copy. The newly copied layer is for use within the original layer’s image. It should not be subsequently added to any other image.

The new layer still needs to be added to the image as this is not automatic. Add the new layer with the `gimp_image_insert_layer()` method.

Other attributes such as layer mask and offsets should be set with explicit procedure calls.

#### Return value

Type: `GimpLayer`

         The newly copied layer. The object belongs to libgimp and you should not free it.

The returned data is owned by the instance.